#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    bool f = true;
	int n, cnt = 1, m;
    string str;
	cin>> str >> n;
    m = str.size();
    vector <int> a(m, 1);
    for(int i = 1; i < m; i++)
    {
        if(str[i] < str[i - 1])
        {
            a[i] = a[i - 1] + 1;
        }
        else
        {
            a[i] = a[i - 1];
        }
    }
    /*for(int i = 0; i < m; i++)
    {
        cout << a[i] << ' ';
    }
    cout << '\n';*/
    while(n--)
    {
        int l, r;
        cin >> l >> r;
        if(l == 1)
        {
            cout << a[r - 1] << '\n';
        }
        else
        {
            cout << a[r - 1] - a[l - 1] + 1 << '\n';
        }
    }
}
